Bug 538664 - racoon_t needs to load ipsec modules
Summary: racoon_t needs to load ipsec modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 01:47 UTC by rob
Modified: 2009-12-14 18:18 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:31 UTC


Attachments (Terms of Use)

Description rob 2009-11-19 01:47:22 UTC
Description of problem:
avc: racoon_t denied { module_request } ...

racoon attempts to load modules including xfrm4_mode_transport, esp4, authenc, ah4.

Version-Release number of selected component (if applicable):
selinux-policy-3.6.32-47.fc12 (this policy version does include a fix that allows setkey to load modules)

How reproducible:
try to get an ipsec connection up

Actual results:
ipsec connection never comes up, strange WARNINGS in /var/log/messages similar to racoon: no outbound policy found when setkey does show the policy is loaded.

Expected results:
working ipsec

Additional info:

Please add

kernel_request_load_module(racoon_t)

to ipsec.te policy.

Comment 1 Daniel Walsh 2009-11-19 14:41:08 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:36:45 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:19:43 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:31:21 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.